/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.device.db.impl;

import net.northking.cctp.device.db.dao.CdDeviceTokenDao;
import net.northking.cctp.device.db.service.CdDeviceTokenService;
import net.northking.cctp.device.db.entity.CdDeviceToken;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.common.db.PaginationService;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * 
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2022-09-22 16:18:45  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Service
@ConditionalOnMissingBean(name = "CdDeviceTokenServiceImpl")
public class CdDeviceTokenServiceImpl extends PaginationService<CdDeviceToken> implements CdDeviceTokenService
{
private static final Logger logger = LoggerFactory.getLogger(CdDeviceTokenServiceImpl.class);

  private final CdDeviceTokenDao cdDeviceTokenDao;

  public CdDeviceTokenServiceImpl(CdDeviceTokenDao cdDeviceTokenDao) {this.cdDeviceTokenDao = cdDeviceTokenDao;}

  public BasicDao<CdDeviceToken> getDao() {return cdDeviceTokenDao;}

  public CdDeviceToken createEntity() { return new CdDeviceToken();}

  @Override
  protected void beforeInsert(CdDeviceToken record) {

  }

  @Override
  protected void beforeUpdate(CdDeviceToken record) {

  }

  @Override
  public List<CdDeviceToken> queryDeviceList(String userId, List<String> ids) {
    return cdDeviceTokenDao.queryDeviceList(userId,ids);
  }

  @Override
  public List<CdDeviceToken> queryByEngineIds(List<String> engineIds) {
    return cdDeviceTokenDao.queryByEngineIds(engineIds);
  }


// ----      The End by Generator     ----//




}

